Subject: bug#2056: 23.0.60; Enabling flyspell degrades performance

From: Leo <[email-masked]>
Date: Tue, 14 Apr 2009 00:48:58 +0100

Hi there,

I'd like to point out that with turn-on-flyspell added to
text-mode-hook. M-x report-emacs-bug will take 9.8 seconds to set up the
mail buffer in my fairly modern machine (intel core 2 duo with 4G ram).
I do this measurement using stopwatch from the moment I hit RET at the
SUBJECT prompt and the result is reproducible. The process is instant
without flyspell.

This is by far the easiest way to see the great degradation in
performance due to flyspell.

I am running GNU Emacs 23.0.92.1 (i386-apple-darwin9.6.0, NS
apple-appkit-949.43) of 2009-04-12 on 64-71-7-214.static.wiline.com.

Best wishes,

Leo